DataTracker.View (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class DataTracker.View

- java.lang.Object
- - org.apache.cassandra.db.DataTracker.View

- Enclosing class:
    DataTracker

      public static class DataTracker.View
      extends java.lang.Object

  An immutable structure holding the current memtable, the memtables pending flush, the sstables for a column family, and the sstables that are active in compaction (a subset of the sstables).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<SSTableReader>` | `compacting`
    `DataTracker.SSTableIntervalTree` | `intervalTree`
    `java.util.Set<SSTableReader>` | `sstables`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Iterable<Memtable>` | `getAllMemtables()`
    `Memtable` | `getCurrentMemtable()`
    `java.lang.Iterable<Memtable>` | `getMemtablesPendingFlush()`
    `Memtable` | `getOldestMemtable()`
    `com.google.common.collect.Sets.SetView<SSTableReader>` | `nonCompactingSStables()`
    `java.util.List<SSTableReader>` | `sstablesInBounds(AbstractBounds<RowPosition> rowBounds)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### compacting

          public final java.util.Set<SSTableReader> compacting

    - #### sstables

          public final java.util.Set<SSTableReader> sstables

    - #### intervalTree

          public final DataTracker.SSTableIntervalTree intervalTree

  - ### Method Detail

    - #### getOldestMemtable

          public Memtable getOldestMemtable()

    - #### getCurrentMemtable

          public Memtable getCurrentMemtable()

    - #### getMemtablesPendingFlush

          public java.lang.Iterable<Memtable> getMemtablesPendingFlush()

    - #### getAllMemtables

          public java.lang.Iterable<Memtable> getAllMemtables()

      Returns:
        the active memtable and all the memtables that are pending flush.

    - #### nonCompactingSStables

          public com.google.common.collect.Sets.SetView<SSTableReader> nonCompactingSStables()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### sstablesInBounds

          public java.util.List<SSTableReader> sstablesInBounds(AbstractBounds<RowPosition> rowBounds)

Copyright © 2014 The Apache Software Foundation